<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0">

<xsl:output method="text"/>

<xsl:template match="graphic" mode="images">
  <xsl:param name="dir"/>
  <xsl:value-of select="$dir"/>
</xsl:template>

<xsl:template match="*|@*|text()" mode="images">
  <xsl:apply-templates mode="images"/>
</xsl:template>

<xsl:template match="toc">
  <xsl:value-of select="@dir"/>
  <xsl:apply-templates select="document(@page)" mode="images">
    <xsl:with-param name="dir" select="@dir"/>
  </xsl:apply-templates>
</xsl:template>

</xsl:stylesheet>
